Summary:	Router Advertisement Daemon
Summary(pl.UTF-8):	Demon ogłaszania routerów
Name:		radvd
Version:	1.9.5
Release:	1
License:	GPL
Group:		Networking
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
# Source0-md5:	0251d3b900fdf9f47fe676bd2b6b0168
Source1:	%{name}.conf
Source2:	%{name}.init
Source3:	%{name}.tmpfiles
URL:		http://v6web.litech.org/radvd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libdaemon-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/usr/sbin/useradd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This daemon listens to router solicitations (RS) and answers with
router advertisement (RA). Furthermore unsolicited RAs are also send
from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU
of the link and information about default routers.

Router solicitations and router advertisement works only on IPv6
networks.

%description -l pl.UTF-8
Demon ten nasłuchuje komunikatów "router solicitations" (RS) i
odpowiada komunikatami "router adverisement" (RA).

W ten sposób pomaga hostom w sieci konfigurować swoje interfejsy
sieciowe.

Ogłaszanie routerów działa tylko w sieciach IPv6.

%prep
%setup  -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},/etc/rc.d/init.d,/var/run/radvd} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/radvd
install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 260 -d /usr/share/empty -s /bin/false -c "radvd" -g proc radvd

%post
/sbin/chkconfig --add radvd
%service radvd restart "radvd server"

%preun
if [ "$1" = "0" ]; then
	%service radvd stop
	/sbin/chkconfig --del radvd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove radvd
fi

%triggerpostun -- %{name} < 1.8.3-2
chmod 0644 /etc/radvd.conf

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES INTRO.html
%attr(754,root,root) /etc/rc.d/init.d/radvd
/usr/lib/tmpfiles.d/%{name}.conf
%attr(755,radvd,root) %dir /var/run/radvd
%attr(644,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radvd.conf
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*
%changelog
* Mon Oct 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/radvd.git;a=log;h=master

* Mon Oct 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b28abde
- up to 1.9.5

* Wed Sep 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 414ba8a
- up to 1.9.3

* Wed Jan 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b91421
- up to 1.9.2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> ce3b289
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> fd8002f
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 7212d7d
- add systemd tmpfiles config

* Fri Jan 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 49e3902
- up to 1.8.5

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 782f330
- up to 1.8.4

* Fri Dec 23 2011 Elan Ruusamäe <glen@pld-linux.org> 64a3248
- use macro

* Wed Dec 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 89d8472
- rel 2; rpm doesn't change permission, so fix it manually

* Thu Nov 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3774b5e
- up to 1.8.3; SECURITY - buffer overflow fix

* Mon Oct 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 616daf5
- up to 1.8.2

* Wed May 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> baab496
- rel 2; no secrets in config so 644 (so reload will work with privsep)

* Sat May 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b08402
- up to 1.8

* Mon Feb 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a5eb200
- rel 2; enable privilege separation; add reload to init script

* Mon Feb 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dd120f
- up to 1.7

* Fri Mar 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dab3cb9
- parallel build works again

* Fri Mar 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 35f2c13
- up to 1.6

* Mon Aug 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cf0a053
- up to 1.4

* Tue Jul 07 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 94c6fab
- up to 1.3

